DynamicRegionFactoryType (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.cache.configuration, class: DynamicRegionFactoryType

Package org.apache.geode.cache.configuration

# Class DynamicRegionFactoryType

java.lang.Object
org.apache.geode.cache.configuration.DynamicRegionFactoryType

@Experimental public class DynamicRegionFactoryType extends Object
dynamic-region-factory is deprecated. Use functions to create regions dynamically instead. A "dynamic-region-factory" element configures a dynamic region factory for this cache. If this optional element is missing then the cache does not support dynamic regions. The optional "disk-dir" sub-element can be used to specify the directory to store the persistent files that are used for dynamic region bookkeeping. It defaults to the current directory. The pool-name attribute can be used to set the name of the connection pool used by client applications in a client/server cache configuration. It should not be specified in servers or peers.

Java class for dynamic-region-factory-type complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="dynamic-region-factory-type">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="disk-dir" type="{http://geode.apache.org/schema/cache}disk-dir-type" minOccurs="0"/>
           </sequence>
           <attribute name="disable-persist-backup" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="disable-register-interest" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="pool-name" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Boolean`
  `disablePersistBackup`
  `protected Boolean`
  `disableRegisterInterest`
  `protected DiskDirType`
  `diskDir`
  `protected String`
  `poolName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DynamicRegionFactoryType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DiskDirType`
  `getDiskDir()`
  Gets the value of the diskDir property.
  `String`
  `getPoolName()`
  Gets the value of the poolName property.
  `Boolean`
  `isDisablePersistBackup()`
  Gets the value of the disablePersistBackup property.
  `Boolean`
  `isDisableRegisterInterest()`
  Gets the value of the disableRegisterInterest property.
  `void`
  `setDisablePersistBackup(Boolean value)`
  Sets the value of the disablePersistBackup property.
  `void`
  `setDisableRegisterInterest(Boolean value)`
  Sets the value of the disableRegisterInterest property.
  `void`
  `setDiskDir(DiskDirType value)`
  Sets the value of the diskDir property.
  `void`
  `setPoolName(String value)`
  Sets the value of the poolName property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### diskDir

    protected DiskDirType diskDir

  - ### disablePersistBackup

    protected Boolean disablePersistBackup

  - ### disableRegisterInterest

    protected Boolean disableRegisterInterest

  - ### poolName

    protected String poolName

- ## Constructor Details

  - ### DynamicRegionFactoryType

    public DynamicRegionFactoryType()

- ## Method Details

  - ### getDiskDir

    public DiskDirType getDiskDir()
    Gets the value of the diskDir property. possible object is `DiskDirType`
    Returns:
      the `DiskDirType`.

  - ### setDiskDir

    public void setDiskDir(DiskDirType value)
    Sets the value of the diskDir property. allowed object is `DiskDirType`
    Parameters:
      `value` - the `DiskDirType`.

  - ### isDisablePersistBackup

    public Boolean isDisablePersistBackup()
    Gets the value of the disablePersistBackup property. possible object is `Boolean`
    Returns:
      true if persistent backup is disabled, false otherwise.

  - ### setDisablePersistBackup

    public void setDisablePersistBackup(Boolean value)
    Sets the value of the disablePersistBackup property. allowed object is `Boolean`
    Parameters:
      `value` - true to disable persist backup, false to enable it.

  - ### isDisableRegisterInterest

    public Boolean isDisableRegisterInterest()
    Gets the value of the disableRegisterInterest property. possible object is `Boolean`
    Returns:
      true if register interest is disabled.

  - ### setDisableRegisterInterest

    public void setDisableRegisterInterest(Boolean value)
    Sets the value of the disableRegisterInterest property. allowed object is `Boolean`
    Parameters:
      `value` - true to enable register interest, false to enable it.

  - ### getPoolName

    public String getPoolName()
    Gets the value of the poolName property. possible object is `String`
    Returns:
      the pool name.

  - ### setPoolName

    public void setPoolName(String value)
    Sets the value of the poolName property. allowed object is `String`
    Parameters:
      `value` - the pool name.